Everything is in the title. If you run an old kernel (it might be the case with xen-sources), you should not upgrade to coreutils-8.7. It will break at least the touch binary, resulting in portage’s emerge being broken, with the following error for every emerge: touch: setting times of `/var/tmp/portage/sys-apps/portage-2.1.9.25/.unpacked’: No such file or directory,…